IRQ_SET_IRQ_WAKE(9)

NAME
irq_set_irq_wake - control irq power management wakeup

SYNOPSIS

int irq_set_irq_wake(unsigned int irq, unsigned int on);

ARGUMENTS

irq
    interrupt to control

on
    enable/disable power management wakeup

DESCRIPTION

Enable/disable power management wakeup mode, which is disabled by default. Enables and disables must match, just as they match for non-wakeup mode support.

Wakeup mode lets this IRQ wake the system from sleep states like “suspend to RAM”.

COPYRIGHT